%global srcname python-redmine
%global pypi_name redmine

Name:           python-%{pypi_name}
Version:        2.3.0
Release:        2%{?dist}
Summary:        Library for communicating with a Redmine project management application

License:        Apache-2.0
URL:            https://github.com/maxtepkeev/python-redmine
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%global _description %{expand:
Python-Redmine is a library for communicating with a Redmine project management
application. Redmine exposes some of itâ€™s data via REST API for which
Python-Redmine provides a simple but powerful Pythonic API inspired by a
well-known Django ORM.}

%description %_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%autosetup -n %{srcname}-%{version}
rm -r python_redmine.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files redminelib

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst

%changelog
* Sat Nov 19 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 2.3.0-2
- Use modern Fedora packaging macros

* Tue Oct 27 2020 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 2.3.0-1
- Initial package.
